Bug 1290141 - With exhausted range, part of DNA shared configuration is deleted after server restart
Summary: With exhausted range, part of DNA shared configuration is deleted after serve...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Noriko Hosoi
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-09 17:57 UTC by Noriko Hosoi
Modified: 2016-11-03 20:38 UTC (History)
2 users (show)

Fixed In Version: 389-ds-base-1.3.5.2-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:38:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2594 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2016-11-03 12:11:08 UTC

Description Noriko Hosoi 2015-12-09 17:57:50 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/48362

When a DNA config entry is created with exhausted range (e.g. MaxValue < NextValue), some attributes set in the shared config entry of the host (e.g dnaHostname=<host_fqdn>+dnaPortNum=389,cn=posix-ids,cn=dna,cn=ipa,cn=etc,SUFFIX) are lost after a DS server restart.

This ticket is a corner case of https://fedorahosted.org/389/ticket/47779.

Having initial exhausted range is used when creating an IPA replica, so that it requests a new range to the master. This way all servers use the initially defined range by default.

The problem can be reproduced systematically with the attached test case

Comment 1 Noriko Hosoi 2015-12-09 17:58:34 UTC
Verifier: dirsrvtests/tickets/ticket48362_test.py

Comment 2 Mike McCune 2016-03-28 23:13:32 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 4 Viktor Ashirov 2016-06-15 12:17:54 UTC
Build tested: 
389-ds-base-1.3.5.6-1.el7.x86_64

Automated test passes
tickets/ticket48362_test.py::test_ticket48362 PASSED

Marking as VERIFIED.

Comment 6 errata-xmlrpc 2016-11-03 20:38:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2594.html


Note You need to log in before you can comment on or make changes to this bug.